Panda3D

Public Member Functions | Static Public Member Functions | List of all members
DisplayRegionPipelineReader Class Reference

Encapsulates the data from a DisplayRegion, pre-fetched for one stage of the pipeline. More...

`#include "displayRegion.h"`

## Public Member Functions
| DisplayRegionPipelineReader (const DisplayRegionPipelineReader &copy)=delete
| DisplayRegionPipelineReader (DisplayRegion *object, Thread *current_thread)
PN_stdfloat | get_bottom (int i=0) const
| Retrieves the y coordinate of the bottom edge of the rectangle within its GraphicsOutput. More...
NodePath | get_camera () const
| Returns the camera associated with this DisplayRegion, or an empty NodePath if no camera is associated. More...
bool | get_clear_depth_between_eyes () const
Thread * | get_current_thread () const
void | get_dimensions (int i, PN_stdfloat &l, PN_stdfloat &r, PN_stdfloat &b, PN_stdfloat &t) const
| Retrieves the coordinates of the DisplayRegion's rectangle within its GraphicsOutput. More...
const LVecBase4 & | get_dimensions (int i=0) const
| Retrieves the coordinates of the DisplayRegion's rectangle within its GraphicsOutput. More...
void | get_dimensions (PN_stdfloat &l, PN_stdfloat &r, PN_stdfloat &b, PN_stdfloat &t) const
| Retrieves the coordinates of the DisplayRegion's rectangle within its GraphicsOutput. More...
CallbackObject * | get_draw_callback () const
| Returns the CallbackObject set by set_draw_callback(). More...
PN_stdfloat | get_left (int i=0) const
| Retrieves the x coordinate of the left edge of the rectangle within its GraphicsOutput. More...
int | get_lens_index () const
| Gets the index into a lens_node lens array. More...
int | get_num_regions () const
| Returns the number of regions, see set_num_regions. More...
DisplayRegion * | get_object () const
GraphicsPipe * | get_pipe () const
| Returns the GraphicsPipe that this DisplayRegion is ultimately associated with, or NULL if no pipe is associated. More...
int | get_pixel_height (int i=0) const
| Returns the height of the DisplayRegion in pixels. More...
int | get_pixel_width (int i=0) const
| Returns the width of the DisplayRegion in pixels. More...
void | get_pixels (int &pl, int &pr, int &pb, int &pt) const
| Retrieves the coordinates of the DisplayRegion within its window, in pixels. More...
void | get_pixels (int i, int &pl, int &pr, int &pb, int &pt) const
| Retrieves the coordinates of the DisplayRegion within its window, in pixels. More...
void | get_region_pixels (int &xo, int &yo, int &w, int &h) const
| Retrieves the coordinates of the DisplayRegion within its window, as the pixel location of its bottom-left corner, along with a pixel width and height. More...
void | get_region_pixels (int i, int &xo, int &yo, int &w, int &h) const
| Retrieves the coordinates of the DisplayRegion within its window, as the pixel location of its bottom-left corner, along with a pixel width and height. More...
void | get_region_pixels_i (int &xo, int &yo, int &w, int &h) const
| Similar to get_region_pixels(), but returns the upper left corner, and the pixel numbers are numbered from the top-left corner down, in the DirectX way of things. More...
void | get_region_pixels_i (int i, int &xo, int &yo, int &w, int &h) const
| Similar to get_region_pixels(), but returns the upper left corner, and the pixel numbers are numbered from the top-left corner down, in the DirectX way of things. More...
PN_stdfloat | get_right (int i=0) const
| Retrieves the x coordinate of the right edge of the rectangle within its GraphicsOutput. More...
bool | get_scissor_enabled () const
| Returns whether or not scissor testing is enabled for this region. More...
int | get_sort () const
| Returns the sort value associated with the DisplayRegion. More...
Lens::StereoChannel | get_stereo_channel () const
| Returns whether the DisplayRegion is specified as the left or right channel of a stereo pair, or whether it is a normal, monocular image. More...
int | get_target_tex_page () const
| Returns the target page number associated with this particular DisplayRegion, or -1 if it is not associated with a page. More...
int | get_tex_view_offset ()
| Returns the current texture view offset for this DisplayRegion. More...
PN_stdfloat | get_top (int i=0) const
| Retrieves the y coordinate of the top edge of the rectangle within its GraphicsOutput. More...
GraphicsOutput * | get_window () const
| Returns the GraphicsOutput that this DisplayRegion is ultimately associated with, or NULL if no window is associated. More...
bool | is_active () const
| Returns the active flag associated with the DisplayRegion. More...
bool | is_any_clear_active () const
void | operator= (const DisplayRegionPipelineReader &copy)=delete

## Static Public Member Functions
static TypeHandle | get_class_type ()
static void | init_type ()

## Detailed Description

Encapsulates the data from a DisplayRegion, pre-fetched for one stage of the pipeline.

Definition at line 311 of file displayRegion.h.

## Member Function Documentation

## ◆ get_bottom()

PN_stdfloat DisplayRegionPipelineReader::get_bottom | ( | int | i = `0` | ) | const
| inline

Retrieves the y coordinate of the bottom edge of the rectangle within its GraphicsOutput.

This number will be in the range [0..1].

Definition at line 682 of file displayRegion.I.

## ◆ get_camera()

NodePath DisplayRegionPipelineReader::get_camera | ( |  | ) | const
| inline

Returns the camera associated with this DisplayRegion, or an empty NodePath if no camera is associated.

Definition at line 709 of file displayRegion.I.

## ◆ get_dimensions() [1/3]

void DisplayRegionPipelineReader::get_dimensions | ( | int | i,
|  | PN_stdfloat & | l,
|  | PN_stdfloat & | r,
|  | PN_stdfloat & | b,
|  | PN_stdfloat & | t
| ) |  | const
| inline

Retrieves the coordinates of the DisplayRegion's rectangle within its GraphicsOutput.

These numbers will be in the range [0..1].

Definition at line 642 of file displayRegion.I.

## ◆ get_dimensions() [2/3]

const LVecBase4 & DisplayRegionPipelineReader::get_dimensions | ( | int | i = `0` | ) | const
| inline

Retrieves the coordinates of the DisplayRegion's rectangle within its GraphicsOutput.

These numbers will be in the range [0..1].

Definition at line 655 of file displayRegion.I.

## ◆ get_dimensions() [3/3]

void DisplayRegionPipelineReader::get_dimensions | ( | PN_stdfloat & | l,
|  | PN_stdfloat & | r,
|  | PN_stdfloat & | b,
|  | PN_stdfloat & | t
| ) |  | const
| inline

Retrieves the coordinates of the DisplayRegion's rectangle within its GraphicsOutput.

These numbers will be in the range [0..1].

Definition at line 633 of file displayRegion.I.

## ◆ get_draw_callback()

CallbackObject * DisplayRegionPipelineReader::get_draw_callback | ( |  | ) | const
| inline

Returns the CallbackObject set by set_draw_callback().

Definition at line 775 of file displayRegion.I.

## ◆ get_left()

PN_stdfloat DisplayRegionPipelineReader::get_left | ( | int | i = `0` | ) | const
| inline

Retrieves the x coordinate of the left edge of the rectangle within its GraphicsOutput.

This number will be in the range [0..1].

Definition at line 664 of file displayRegion.I.

## ◆ get_lens_index()

int DisplayRegionPipelineReader::get_lens_index | ( |  | ) | const
| inline

Gets the index into a lens_node lens array.

0 default

Definition at line 861 of file displayRegion.I.

## ◆ get_num_regions()

int DisplayRegionPipelineReader::get_num_regions | ( |  | ) | const
| inline

Returns the number of regions, see set_num_regions.

Definition at line 624 of file displayRegion.I.

## ◆ get_pipe()

GraphicsPipe * DisplayRegionPipelineReader::get_pipe | ( |  | ) | const

Returns the GraphicsPipe that this DisplayRegion is ultimately associated with, or NULL if no pipe is associated.

Definition at line 775 of file displayRegion.cxx.

References GraphicsOutput::get_pipe.

## ◆ get_pixel_height()

int DisplayRegionPipelineReader::get_pixel_height | ( | int | i = `0` | ) | const
| inline

Returns the height of the DisplayRegion in pixels.

Definition at line 869 of file displayRegion.I.

## ◆ get_pixel_width()

int DisplayRegionPipelineReader::get_pixel_width | ( | int | i = `0` | ) | const
| inline

Returns the width of the DisplayRegion in pixels.

Definition at line 853 of file displayRegion.I.

## ◆ get_pixels() [1/2]

void DisplayRegionPipelineReader::get_pixels | ( | int & | pl,
|  | int & | pr,
|  | int & | pb,
|  | int & | pt
| ) |  | const
| inline

Retrieves the coordinates of the DisplayRegion within its window, in pixels.

Definition at line 784 of file displayRegion.I.

## ◆ get_pixels() [2/2]

void DisplayRegionPipelineReader::get_pixels | ( | int | i,
|  | int & | pl,
|  | int & | pr,
|  | int & | pb,
|  | int & | pt
| ) |  | const
| inline

Retrieves the coordinates of the DisplayRegion within its window, in pixels.

Definition at line 793 of file displayRegion.I.

## ◆ get_region_pixels() [1/2]

void DisplayRegionPipelineReader::get_region_pixels | ( | int & | xo,
|  | int & | yo,
|  | int & | w,
|  | int & | h
| ) |  | const
| inline

Retrieves the coordinates of the DisplayRegion within its window, as the pixel location of its bottom-left corner, along with a pixel width and height.

Definition at line 807 of file displayRegion.I.

## ◆ get_region_pixels() [2/2]

void DisplayRegionPipelineReader::get_region_pixels | ( | int | i,
|  | int & | xo,
|  | int & | yo,
|  | int & | w,
|  | int & | h
| ) |  | const
| inline

Retrieves the coordinates of the DisplayRegion within its window, as the pixel location of its bottom-left corner, along with a pixel width and height.

Definition at line 817 of file displayRegion.I.

## ◆ get_region_pixels_i() [1/2]

void DisplayRegionPipelineReader::get_region_pixels_i | ( | int & | xo,
|  | int & | yo,
|  | int & | w,
|  | int & | h
| ) |  | const
| inline

Similar to get_region_pixels(), but returns the upper left corner, and the pixel numbers are numbered from the top-left corner down, in the DirectX way of things.

Definition at line 831 of file displayRegion.I.

## ◆ get_region_pixels_i() [2/2]

void DisplayRegionPipelineReader::get_region_pixels_i | ( | int | i,
|  | int & | xo,
|  | int & | yo,
|  | int & | w,
|  | int & | h
| ) |  | const
| inline

Similar to get_region_pixels(), but returns the upper left corner, and the pixel numbers are numbered from the top-left corner down, in the DirectX way of things.

Definition at line 841 of file displayRegion.I.

## ◆ get_right()

PN_stdfloat DisplayRegionPipelineReader::get_right | ( | int | i = `0` | ) | const
| inline

Retrieves the x coordinate of the right edge of the rectangle within its GraphicsOutput.

This number will be in the range [0..1].

Definition at line 673 of file displayRegion.I.

## ◆ get_scissor_enabled()

bool DisplayRegionPipelineReader::get_scissor_enabled | ( |  | ) | const
| inline

Returns whether or not scissor testing is enabled for this region.

The default is true, except for the overlay display region.

Definition at line 767 of file displayRegion.I.

## ◆ get_sort()

int DisplayRegionPipelineReader::get_sort | ( |  | ) | const
| inline

Returns the sort value associated with the DisplayRegion.

Definition at line 725 of file displayRegion.I.

## ◆ get_stereo_channel()

Lens::StereoChannel DisplayRegionPipelineReader::get_stereo_channel | ( |  | ) | const
| inline

Returns whether the DisplayRegion is specified as the left or right channel of a stereo pair, or whether it is a normal, monocular image.

See set_stereo_channel().

Definition at line 735 of file displayRegion.I.

Referenced by GraphicsStateGuardian::prepare_display_region().

## ◆ get_target_tex_page()

int DisplayRegionPipelineReader::get_target_tex_page | ( |  | ) | const
| inline

Returns the target page number associated with this particular DisplayRegion, or -1 if it is not associated with a page.

See set_target_tex_page().

Definition at line 758 of file displayRegion.I.

Referenced by GraphicsOutput::change_scenes().

## ◆ get_tex_view_offset()

int DisplayRegionPipelineReader::get_tex_view_offset | ( |  | ) |
| inline

Returns the current texture view offset for this DisplayRegion.

This is normally set to zero. If nonzero, it is used to select a particular view of any multiview textures that are rendered within this DisplayRegion.

For a StereoDisplayRegion, this is normally 0 for the left eye, and 1 for the right eye, to support stereo textures.

Definition at line 748 of file displayRegion.I.

Referenced by GraphicsStateGuardian::prepare_display_region().

## ◆ get_top()

PN_stdfloat DisplayRegionPipelineReader::get_top | ( | int | i = `0` | ) | const
| inline

Retrieves the y coordinate of the top edge of the rectangle within its GraphicsOutput.

This number will be in the range [0..1].

Definition at line 691 of file displayRegion.I.

## ◆ get_window()

GraphicsOutput * DisplayRegionPipelineReader::get_window | ( |  | ) | const
| inline

Returns the GraphicsOutput that this DisplayRegion is ultimately associated with, or NULL if no window is associated.

Definition at line 700 of file displayRegion.I.

Referenced by GraphicsStateGuardian::prepare_display_region(), and PT().

## ◆ is_active()

bool DisplayRegionPipelineReader::is_active | ( |  | ) | const
| inline

Returns the active flag associated with the DisplayRegion.

Definition at line 717 of file displayRegion.I.

The documentation for this class was generated from the following files:

- panda/src/display/displayRegion.h
- panda/src/display/displayRegion.cxx
- panda/src/display/displayRegion.I